--- old/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:43:54.015821147 -0400
+++ new/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:43:54.025122481 -0400
@@ -86,7 +86,7 @@
 	mnode = PFN_2_MEM_NODE(start);
 	ASSERT(mnode >= 0 && mnode < max_mem_nodes);
 
-	if (cas32((uint32_t *)&mem_node_config[mnode].exists, 0, 1)) {
+	if (atomic_cas_32((uint32_t *)&mem_node_config[mnode].exists, 0, 1)) {
 		/*
 		 * Add slice to existing node.
 		 */
@@ -101,7 +101,8 @@
 		do {
 			oldmask = memnodes_mask;
 			newmask = memnodes_mask | (1ull << mnode);
-		} while (cas64(&memnodes_mask, oldmask, newmask) != oldmask);
+		} while (atomic_cas_64(&memnodes_mask, oldmask, newmask) !=
+		    oldmask);
 	}
 
 	/*
@@ -161,7 +162,7 @@
 		do {
 			omask = memnodes_mask;
 			nmask = omask & ~(1ull << mnode);
-		} while (cas64(&memnodes_mask, omask, nmask) != omask);
+		} while (atomic_cas_64(&memnodes_mask, omask, nmask) != omask);
 		atomic_add_16(&num_memnodes, -1);
 		mem_node_config[mnode].exists = 0;
 	}
@@ -229,7 +230,7 @@
 	 * a first time memnode creation race.
 	 */
 	for (mnode = 0; mnode < max_mem_nodes; mnode++)
-		if (cas32((uint32_t *)&mem_node_config[mnode].exists,
+		if (atomic_cas_32((uint32_t *)&mem_node_config[mnode].exists,
 		    0, 1) == 0)
 			break;
 
@@ -242,7 +243,7 @@
 	do {
 		oldmask = memnodes_mask;
 		newmask = memnodes_mask | (1ull << mnode);
-	} while (cas64(&memnodes_mask, oldmask, newmask) != oldmask);
+	} while (atomic_cas_64(&memnodes_mask, oldmask, newmask) != oldmask);
 
 	return (mnode);
 }
